Name:           kwizart-release
Epoch:          1
Version:        1
Release:        1
Summary:        Repository configuration for kwizart

Group:          System Environment/Base
License:        BSD
URL:            http://rpms.kwizart.net
Source0:        RPM-GPG-KEY-kwizart
Source1:        kwizart.repo
Source2:        kwizart-rawhide.repo
Source3:        kwizart-testing.repo
Source4:        kwizart-nonfree.repo
Source5:        kwizart-pending.repo
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       system-release >= %{version}


%description
The kwizart repository contains open source and other
distributable software for Fedora + RPMFusion-{non}free.

The kwizart-testing repository may have replacement packages
from the Fedora official repository.
It should be used with care.

The kwizart-rawhide repository is meant to install rawhide packages.

More info are available here: 
http://blog.kwizart.fr

Contact: kwizart [at] gmail [dot] com

%prep
%setup -c -T


%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kwizart

# yum
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE4} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE5} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kwizart
%config %{_sysconfdir}/yum.repos.d/*


%changelog
* Wed Aug 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 1:1-1
- Update to 1.0 release

* Sat Apr 17 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 13-1
- Open kwizart for Fedora 13

* Sun Nov  8 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 12-1
- Open kwizart for Fedora 12

* Fri Jun 12 2009 kwizart < kwizart at gmail.com > - 11-1
- Open kwizart for Fedora 11
- Switch to system-release
- Move kwizart-proprio to kwizart-nonfree
- Add kwizart-pending

* Wed Nov 26 2008 kwizart < kwizart at gmail.com > - 10-1
- Open kwizart for Fedora 10

* Tue Sep 30 2008 kwizart < kwizart at gmail.com > - 9-2
- Clean older repository at free.fr
- Create kwizart-rawhide.repo

* Wed May 14 2008 kwizart < kwizart at gmail.com > - 9-1
- Open kwizart repos for Fedora 9

* Mon Feb 18 2008 kwizart < kwizart at gmail.com > - 8-6
- Fix debuginfo path for kwizart and kwizart-testing 

* Thu Feb 14 2008 kwizart < kwizart at gmail.com > - 8-5
- Improve summary

* Mon Feb 11 2008 kwizart < kwizart at gmail.com > - 8-4
- Add rpms.kwizart.net
- Add smart support
- Add development repository

* Sat Nov 10 2007 kwizart < kwizart at gmail.com > - 8-2
- Fix kwizart-testing

* Wed Nov  7 2007 kwizart < kwizart at gmail.com > - 8-1
- Open F8

* Wed May 30 2007 kwizart < kwizart at gmail.com > - 7-1
- Open F7

* Fri Oct 27 2006 kwizart < kwizart at gmail.com > - 6-1.kwizart.fc6
- Open fc6

* Sun Oct 22 2006 kwizart < kwizart at gmail.com > - 5-3_FC5
- Update kwizart.repo with: gpgkey=http://kwizart.free.fr/fedora/RPM-GPG-KEY-kwizart
- Is now 5 because i expect 6+ will use smart and yum.

* Tue Oct 17 2006 kwizart < kwizart at gmail.com > - 1-2_FC5
- Update kwizart.repo info on gpgp key.

* Sat Jul 1 2006 idem
- GPG key support

* Fri Jun 30 2006 kwizart on fedora-france.org
- initial release
